import PostEditor from './PostEditor';
export default class PostIndex {
	//--------------------------
	// constructor
	//--------------------------
	constructor(page) {
		this.currentPage = null;
		this.choosePage(page);
		this.start();
	}
	//--------------------------
	// methods
	//--------------------------
	start() {}
	choosePage(page) {
		this.currentPage = '';
		switch (page) {
			case 'edit':
			case 'add':
				this.currentPage = new PostEditor();
				break;
			default:
				//just chill
				break;
		}
	}
	//--------------------------
	// event handlers
	//--------------------------
}
